Skip to main content
`Ctrl`+`K`

# NEPRIISetConstCorrectionTol

Sets a flag to keep the tolerance used in the linear solver constant.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPRIISetConstCorrectionTol(NEP nep,PetscBool cct)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- cct - if `PETSC_FALSE`, the `KSP` relative tolerance is set to \(2^{-i}\)

## Options Database Key

- -nep_rii_const_correction_tol - set a constant or dynamic stopping criterion

## Notes

By default, an exponentially decreasing tolerance is set in the `KSP` used within the nonlinear iteration, so that each Newton iteration requests better accuracy than the previous one. The constant correction tolerance flag stops this behavior.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPRII`, `NEPRIIGetConstCorrectionTol()`, `NEPRIIGetKSP()`

## Level

intermediate

## Location

src/nep/impls/rii/rii.c

## Implementations

NEPRIISetConstCorrectionTol_RII() in src/nep/impls/rii/rii.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages